:root {
    font-size: 16px;
}

* {
    margin: 0;
    padding: 0;
    scrollbar-width: thin;
}

html {
    width: calc(100% - 170px);
    margin: 0;
    height: auto;
    overflow-x: hidden;
    scrollbar-width: thin;
}

body {
    background: url('https://ik.imagekit.io/elaravoid/sunera-sae/bg-grain.jpg');
    background-size: 80%;
    padding: 0px;
    height: auto;
    width: 100%;
    display: block;
    margin: 3rem;
    font-family: "Mansalva";
}

main {
    background: linear-gradient(180deg, #CBECEE, #FDF6E2, #CBECEE);
    height: 100%;
    width: 100%;
    border: 4px double #3F7B5C;
    padding: 2rem 2rem 2rem 2rem;
    display: flex;
    flex-direction: column;
    position: relative;
}

header {
    margin-bottom: 3rem;
}

h1 {
    color: #F0D3E3;
    text-shadow:
        -1px -1px 0 #3F7B5C,
        0 -1px 0 #3F7B5C,
        1px -1px 0 #3F7B5C,
        1px 0 0 #3F7B5C,
        1px 1px 0 #3F7B5C,
        0 1px 0 #3F7B5C,
        -1px 1px 0 #3F7B5C,
        -1px 0 0 #3F7B5C;
    text-align: center;
    font-family: "Mansalva",
        sans-serif;
    font-size: 2.5rem;
    line-height: 1;
}

.sheet {
    padding: 0;
    display: block;
    border-left: 0.125rem solid #4455B1;
    border-right: 0.125rem solid #4455B1;
    position: relative;
}

.partitur {
    border-bottom: 0.125rem solid #4455B1;
    background: rgba(201, 217, 248, 0.7);
}

.partitur:last-child {
    margin-top: 3rem;
}

.partitur::before {
    content: '';
    position: absolute;
    left: 25%;
    top: 0px;
    bottom: 0;
    width: 0.125rem;
    background: #4455B1;
    height: auto;
}

.partitur .vertical-line {
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    width: 0.125rem;
    background: #4455B1;
    height: auto;
    transform: translateX(-50%);
}

.partitur::after {
    content: '';
    position: absolute;
    right: 25%;
    top: 0;
    bottom: 0;
    width: 0.125rem;
    background: #4455B1;
    height: auto;
}

.line {
    height: 0.6rem;
    border-top: 0.125rem solid #4455B1;
}

.navigasi {
    position: absolute;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 89%;
}

.navigasi-1 {
    left: 3%;
    top: 10.5rem;
}

.navigasi-2 {
    right: 3%;
    top: 16.5rem;
}

.menu {
    line-height: 1.05;
    display: flex;
    flex-direction: row;
    padding: 0px;
    flex-wrap: wrap;
}

.disable a {
    opacity: 0.8;
    pointer-events: hidden;
    cursor: default;
}

.menu a {
    display: flex;
    flex-direction: column;
    transform: translateY(-60px);
    align-items: center;
    color: #4455B1;
    text-decoration: none;
    font-size: 1rem;
}

.menu:hover {
    transform: translateY(5px);
    animation: goyang 1.5s ease-in-out infinite alternate;
}

.disable:hover {
    animation: none;
    transform: none;
}

@keyframes goyang {
    from {
        transform: rotate(-5deg);
    }

    to {
        transform: rotate(5deg);
    }
}

.menu img {
    height: 4.1rem;
}

.bawah {
    margin-top: 4.3rem;
    display: flex;
    flex-direction: row;
    width: 100%;
    height: fit-content;
    gap: 1rem;
}

.thought {
    width: calc(25% - 1rem);
    height: calc(16rem);
    padding: 1rem 1rem 0px;
    background: url('https://ik.imagekit.io/elaravoid/sunera-sae/dithered/1000178918-dithered.png?updatedAt=1785664081874');
    background-size: 100%;
    background-position: center;
    overflow-y: auto;
}

.thought h2 {
    margin-top: -0.5rem;
    font-size: 1.7rem;
    color: #F0D3E3;
    text-shadow:
        -1px -1px 0 #3F7B5C,
        0 -1px 0 #3F7B5C,
        1px -1px 0 #3F7B5C,
        1px 0 0 #3F7B5C,
        1px 1px 0 #3F7B5C,
        0 1px 0 #3F7B5C,
        -1px 1px 0 #3F7B5C,
        -1px 0 0 #3F7B5C;
}

.current {
    line-height: 1.2;
    color: #3F7B5C;
}

.current iframe {
    width: 100%;
    aspect-ratio: 1/1.2;
    display: block;
    margin: 0;
    overflow: hidden;
}

.current-item ul {
    list-style: square;
    margin-left: 1rem;
    font-weight: 300;
    font-family: "Kanit";
}

.current-item {
    margin-bottom: 0.5rem;
    font-size: 0.95rem;
}

.social {
    width: calc(24% + 1rem);
    height: calc(17rem);
    display: flex;
    flex-direction: column;
    gap: 0px;
    padding: 0px;
    overflow-y: auto;
    z-index: 0;
    background: url('https://ik.imagekit.io/elaravoid/sunera-sae/dithered/1000178930-dithered.png?updatedAt=1785664081894');
    background-size: 100%;
    background-position: top;
}

.tabs {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
    position: sticky;
    justify-content: space-between;
    top: 0px;
    z-index: 10;
    isolation: isolate;
    background: #FDF6E2;
}

.tab {
    position: relative;
    padding: 0;
    width: 33%;
    height: auto;
    background: #F0D3E3;
    border: none;
    cursor: pointer;
    color: #3F7B5C;
    font-size: 1rem;
    font-weight: bold;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    transition: all 0.5s ease;
    z-index: auto;
    font-weight: 300;
    font-family: "Mansalva";
}

.tab.active {
    background: #abd69e;
    z-index: 100 !important;
    isolation: isolate;
    border: 1px dotted #3F7B5C;
}

.panel {
    position: relative;
    z-index: 5;
    width: calc(100% - 2rem);
    padding: 1rem 1rem;
    line-height: 1.2;
    color: #3F7B5C;
    isolation: isolate;
    text-wrap: wrap;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.panel a {
    color: #4455B1;
    text-decoration: underline;
    text-decoration-style: dotted;
}

.content {
    display: none;
}

.content p {
    margin-bottom: 0.5rem;
}

.content.active {
    display: block;
}

.content img {
    max-width: 100%;
}

.content img:hover {
    scale: 1.05
}

.status {
    padding: 0px;
    width: 25%;
    height: 17rem;
    position: relative;
}

.status img {
    width: 100%;
}

.status img:hover {
    animation: rotateGuestbook 1s steps(2, end) infinite;
}

@keyframes rotateGuestbook {

    0%,
    100% {
        transform: rotate(-1deg);
    }

    50% {
        transform: rotate(2deg);
    }
}

.status iframe {
    width: 60%;
    height: 100%;
    border: none;
    position: absolute;
    top: 10%;
    left: 10%;
    z-index: 1;
}

.cuties {
    display: flex;
    flex-direction: row;
    align-items: end;
    justify-items: center;
    justify-content: center;
    gap: 1rem;
    padding: 0.5rem 0 0 0;
    background: url('https://ik.imagekit.io/elaravoid/sunera-sae/dithered/1000178936-dithered.png?updatedAt=1785664078033');
    background-size: 100%;
}

.cuties img {
    filter: sepia(1) hue-rotate(270deg) saturate(0.8) brightness(1.1);
}

.cuties img:hover {
    scale: 1.05;
    transform: translateY(-0.25rem);
    filter: none;
}

.webthing {
    width: 25%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.tombols {
    padding: 0.5rem 0.5rem 4px 0.5rem;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0px 4px;
    color: #3F7B5C;
    align-content: center;
    justify-content: center;
    background: url('https://ik.imagekit.io/elaravoid/sunera-sae/dithered/1000178936-dithered.png?updatedAt=1785664078033');
    background-size: 100%;
    overflow: auto;
}

.tombols img {
    height: 31px;
    width: 88px;
    margin-bottom: -3px;
}

.tombols img:hover {
    scale: 1.05;
}

.stamps {
    background: url('https://ik.imagekit.io/elaravoid/sunera-sae/dithered/1000178936-dithered.png?updatedAt=1785664078033');
    background-size: 100%;
}

.stamp {
    padding: 0.5rem;
    display: flex;
    flex-direction: row;
    gap: 0px 0.5rem;
    color: #3F7B5C;
    align-content: start;
    justify-content: left;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
    margin: 0 0.5rem;
}

.stamp-wrapper {
    display: flex;
    flex-direction: row;
    gap: 0px 4px;
}

.stamp:hover .stamp-content {
    animation-play-state: paused;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

.stamp-content {
    margin: 0px 0.5rem;
    display: flex;
    flex-direction: row;
    gap: 0px 4px;
    animation: marquee 10s linear infinite;
    flex-shrink: 0;
}

footer {
    padding: 1rem 0.5rem;
    width: calc(100% + 3rem);
    margin-top: 1rem;
    background: #CBECEE;
    border: 4px double #3F7B5C;
    color: #4455B1;
    display: flex;
    gap: 1rem;
    justify-content: center;
    line-height: 1;
    flex-wrap: wrap;
}

footer a {
    color: #4455B1;
    text-decoration-style: dotted;
}

footer a:hover {
    text-decoration: underline;
    text-decoration-style: solid;
}

@media screen and (max-width: 768px) {

    html {
        width: calc(100% - 3rem);
        padding: 0.5rem;
    }

    body {
        padding: 0px;
        margin: 0px;
    }

    main {
        padding: 0.75rem;
        width: 100%;
    }

    h1 {
        line-height: 1.2;
    }

    .bawah {
        flex-direction: row;
        flex-wrap: wrap;
        gap: 0.5rem
    }

    .status {
        width: calc(100% - 0px);
        height: 100%;
    }

    .thought {
        width: 100%;
        height: 33.2rem;
        overflow: hidden;
        padding: 0.5rem;
    }

    .social,
    .webthing,
    .tamanotchi {
        width: 100%;
    }

    .sheet {
        display: none;
    }

    nav {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        padding: 0px 0;
        background: url('https://ik.imagekit.io/elaravoid/sunera-sae/index/bg-moon-dithered.png') center/cover no-repeat;
        background-size: 100%;
        aspect-ratio: 1/1;
        position: relative;
    }

    .navigasi {
        position: static;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 0px;
        width: 100%;
        padding: 0px;
        align-items: center;
    }

    .navigasi-1 {
        left: auto;
        top: auto;
    }

    .navigasi-2 {
        right: auto;
        top: auto;
    }

    .menu {
        margin-bottom: 0;
        justify-content: center;
    }

    .menu a {
        transform: translateY(0);
        text-align: center;
    }

    .menu img {
        height: 4.2rem;
    }

    .menu:hover {
        transform: none;
    }

    .bawah {
        margin-top: 40px;
    }

    footer {
        width: calc(100% + 0.5rem);
        flex-wrap: wrap;
        margin-top: 0.5rem;
        gap: 4px 0.5rem;
    }

    .webthing {
        margin-top: 0px;
    }

    .tabs {
        background: linear-gradient(0deg, #CBECEE, #FDF6E2);
    }

    .panel {
        padding: 0.5rem 0rem 0.5rem 1rem;
    }

    .cuties {
        overflow-x: auto;
    }

    .tombols {
        justify-content: center;
    }

}